VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes
VisimBuilder.CreateNewItem Class Reference
Inheritance diagram for VisimBuilder.CreateNewItem:

List of all members.

## Public Member Functions
| CreateNewItem (MainBuilderForm boss, string name, string descr)
override string | ToString ()
virtual void | CreateDefault ()
virtual void | ShowDialog ()
## Public Attributes
string | Description
ObjectCreationBase | BaseCreator
MainBuilderForm | Boss
## Protected Member Functions
virtual void | RefreshBaseCreator ()
## Protected Attributes
ObjectCreationDialog | MyDialog

## Constructor & Destructor Documentation

VisimBuilder.CreateNewItem.CreateNewItem | ( | MainBuilderForm | boss,
|  | string | name,
|  | string | descr
| ) |  |

## Member Function Documentation

virtual void VisimBuilder.CreateNewItem.CreateDefault | ( |  | ) | `[virtual]`

virtual void VisimBuilder.CreateNewItem.RefreshBaseCreator | ( |  | ) | `[protected, virtual]`

Reimplemented in VisimBuilder.ObjectCreation.CreateBoxItem, VisimBuilder.ObjectCreation.CreateCameraItem, VisimBuilder.ObjectCreation.CreateLightItem, VisimBuilder.ObjectCreation.CreatePyramidItem, VisimBuilder.ObjectCreation.CreateQuadItem, VisimBuilder.ObjectCreation.CreateRingItem, VisimBuilder.ObjectCreation.CreateSkyboxItem, and VisimBuilder.ObjectCreation.CreateSphereItem.

virtual void VisimBuilder.CreateNewItem.ShowDialog | ( |  | ) | `[virtual]`

override string VisimBuilder.CreateNewItem.ToString | ( |  | ) |

## Member Data Documentation

ObjectCreationBase VisimBuilder.CreateNewItem.BaseCreator

MainBuilderForm VisimBuilder.CreateNewItem.Boss

string VisimBuilder.CreateNewItem.Description

ObjectCreationDialog VisimBuilder.CreateNewItem.MyDialog`[protected]`

The documentation for this class was generated from the following file:

- CreateObjectBrowser.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events